using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Newtonsoft.Json;
public class EventLogClass : MonoBehaviour
{
    // Timestamp, RespirationRate, Start/Stop
    [SerializeField] public List<EventData> eventDataList = new List<EventData>();

    public void SaveToJson()
    {
        Debug.Log(eventDataList.Count);
        string eventdata = JsonConvert.SerializeObject(eventDataList);
        string timestamp = DateTime.Now.ToString("yyyyMMdd'T'HHmmss");
        char separator = Path.DirectorySeparatorChar;
        string directory = System.Environment.CurrentDirectory + "/EventLogs";
        string outfile = directory + $"/{timestamp}.json";

        if (!Directory.Exists(directory))
        {
            Directory.CreateDirectory(directory);
        }
        Debug.Log("Saving to: " + outfile);
        File.WriteAllText(path: outfile, eventdata);

        Debug.Log("Saved to: " + outfile);
    }

}

[Serializable]
public class EventData
{
    public string timestamp;
    public string inhalePeriod;
    public string exhalePeriod;
    public string eventTag;
}